#!/bin/sh
#
#   Copyright 1988, 1989, 1990, 1991,    DNA Data Systems and Kevin English
#   Copyright 1991, 1992, 1993, 1994     4C Associates
#   Copyright 1995                       4C Associates
# 
#   @(#)4cmkdirs.sh	1.1 - 1/1/95
#
#
# Create all dirs in path of FileName
# Only create if necessary
#
#
# set up local system aliases etc.
#
if [ -f "$XLLIB/4cshell.rc" ]
then
. $XLLIB/4cshell.rc
fi
MyName=$0
usage()
{
	echo "Usage: $MyName <DirName>"
	exit 1
}
#
if [ "$#" != "1" ]
then
	usage
fi
DirName="$1"
BaseDir="$DirName"
while TDir="$BaseDir"
do
	BaseDir=`dirname $TDir`
	if [ $BaseDir = $TDir ]
	then
		break
	fi
done
#echo "BaseDir: $BaseDir"
#
# For NT drive:/ pathnames
#
if [ `expr index $DirName '\:'` = '2' ]
then
	if [ `expr index $DirName '\/'` = '3' ]
	then
		Len=`expr length $DirName - 3`
		DirName=`expr substr $DirName 4 $Len`
	fi
fi
SaveIFS="$IFS"
IFS="/$IFS"
if [ "$BaseDir" = "/" ]
then
	CurDir=""
else
	CurDir="$BaseDir"
fi
for X in $DirName
do
	IFS="$SaveIFS"
	CurDir="$CurDir/$X"
#	echo $CurDir
	if [ ! -d $CurDir ]
	then
		mkdir $CurDir || exit 1
	fi
	if [ ! -r $CurDir -o ! -x $CurDir ]
	then
		echo "Dir: $CurDir has wrong permissions"
		exit 1
	fi
done
IFS="$SaveIFS"
exit 0
